SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Ruby Vendors:   Matsumoto, Yukihiro
Ruby on Rails 'Implicit Render' Bug Lets Remote Users Obtain Files From the Target System
SecurityTracker Alert ID:  1030210
SecurityTracker URL:  http://securitytracker.com/id/1030210
CVE Reference:   CVE-2014-0130   (Links to External Site)
Date:  May 8 2014
Impact:   Disclosure of system information, Disclosure of user information
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to versions 3.2.18, 4.0.5, 4.1.1
Description:   A vulnerability was reported in Ruby on Rails. A remote user can obtain files from the target system.

A remote user can supply a specially crafted request to exploit a flaw in the 'implicit render' functionality and retrieve arbitrary files from the target system.

Ville Lautanala of Flowdock reported this vulnerability.

Impact:   A remote user can obtain files from the target system.
Solution:   The vendor has issued a fix (3.2.18, 4.0.5, 4.1.1).

The vendor's advisory is available at:

http://weblog.rubyonrails.org/2014/5/6/Rails_3_2_18_4_0_5_and_4_1_1_have_been_released/

Vendor URL:  weblog.rubyonrails.org/2014/5/6/Rails_3_2_18_4_0_5_and_4_1_1_have_been_released/ (Links to External Site)
Cause:   Access control error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC